<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use App\Mail\BaseMailable;
class SendEmailUpdateMail extends BaseMailable
{
    use Queueable, SerializesModels;

    public $details;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($details)
    {
        parent::__construct();
        $this->details = $details;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject(config('app.name') . ': ' . $this->details['subject'])->view('frontend.email.tmp-change-email-request')->with([
            'footerLink' => $this->footerLink
        ]);
    }
}
